Bug 5395 - C4::Acquisition::SearchOrder POD inconsistent with function
Summary: C4::Acquisition::SearchOrder POD inconsistent with function
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-12 17:03 UTC by MJ Ray (software.coop)
Modified: 2017-07-31 11:06 UTC (History)
6 users (show)

See Also:
Change sponsored?: Seeking developer
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 5395: Update C4::Acquisition::SearchOrders POD (1.61 KB, patch)
2017-05-24 05:58 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED OFF] Bug 5395: Update C4::Acquisition::SearchOrders POD (1.71 KB, patch)
2017-05-25 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5395: Update C4::Acquisition::SearchOrders POD (1.79 KB, patch)
2017-05-26 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description MJ Ray (software.coop) 2010-11-12 17:03:28 UTC
The C4::Acquisition::SearchOrder POD starts

 @results = &SearchOrder($search, $biblionumber, $complete);

The C4::Acquisition::SearchOrder function starts

     my ($ordernumber, $search, $supplierid, $basket) = @_;

Can someone who really understands what it does update the POD, please, or shall I take a crack?
Comment 1 MJ Ray (software.coop) 2011-10-24 17:04:24 UTC
I guess I should take a crack then.
Comment 2 Marc Véron 2016-09-29 16:29:37 UTC
Still valid?
Comment 3 M. Tompsett 2017-05-24 05:38:15 UTC
(In reply to Marc Véron from comment #2)
> Still valid?

Yes. Function has notably changed, but there are still missing parameters in the perldoc.
Comment 4 M. Tompsett 2017-05-24 05:58:37 UTC
Created attachment 63681 [details] [review]
Bug 5395: Update C4::Acquisition::SearchOrders POD

Comparing the perldoc to the function:
- basketname
- basketgroupname
- budget_id
Were missing. This adds them.

Also, a description of ordernumber and search were
added, as they are not self-evident by their name
alone.

There are no code changes, so all tests should pass
or fail identically before and after patch.
Comment 5 M. Tompsett 2017-05-24 05:59:46 UTC
Comment on attachment 63681 [details] [review]
Bug 5395: Update C4::Acquisition::SearchOrders POD

Review of attachment 63681 [details] [review]:
-----------------------------------------------------------------

::: C4/Acquisition.pm
@@ -1656,4 @@
>  @results = &SearchOrders({
>      ordernumber => $ordernumber,
>      search => $search,
> -    biblionumber => $biblionumber,

Moved to match the code order of grabbing parameters, to make comparison easier.
Comment 6 Katrin Fischer 2017-05-25 18:44:12 UTC
Created attachment 63717 [details] [review]
[SIGNED OFF] Bug 5395: Update C4::Acquisition::SearchOrders POD

Comparing the perldoc to the function:
- basketname
- basketgroupname
- budget_id
Were missing. This adds them.

Also, a description of ordernumber and search were
added, as they are not self-evident by their name
alone.

There are no code changes, so all tests should pass
or fail identically before and after patch.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed typo basetgroupname
Comment 7 M. Tompsett 2017-05-25 18:56:33 UTC
(In reply to Katrin Fischer from comment #6)
> Fixed typo basetgroupname

Thanks. How embarrassing.
Comment 8 Marcel de Rooy 2017-05-26 09:41:43 UTC
Created attachment 63739 [details] [review]
Bug 5395: Update C4::Acquisition::SearchOrders POD

Comparing the perldoc to the function:
- basketname
- basketgroupname
- budget_id
Were missing. This adds them.

Also, a description of ordernumber and search were
added, as they are not self-evident by their name
alone.

There are no code changes, so all tests should pass
or fail identically before and after patch.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed typo basetgroupname

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Kyle M Hall 2017-05-29 02:31:38 UTC
Pushed to master for 17.05, thanks Mark!
Comment 10 Katrin Fischer 2017-06-05 12:55:47 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 11 Mason James 2017-07-31 11:06:05 UTC
Pushed to 16.05.x, for 16.05.15 release